Subject: Re: bug#78193: Emacs compilation warnings with GCC 15 on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jun 2025 15:51:43 +0300

> From: Corwin Brust <[email-masked]>
> Date: Sun, 1 Jun 2025 07:28:42 -0500
> Cc: MAN ONE <[email-masked]>, [email-masked]
> 
> On Sun, Jun 1, 2025 at 4:10 AM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: MAN ONE <[email-masked]>
> > > Date: Thu, 1 May 2025 12:40:28 +0000
> > >
> > > Hi, the attachment is a build log of compiling Emacs on Windows 10 in Msys2's
> > > UCRT environment, most of the warnings are from windows related files, so I
> > > think it may be helpful to report it.
> >
> > Thanks, I hope I've now fixed most of those.
> >
> 
> FWIW, my automated MSYS2/MINGW64 builds from the development branch
> have gone, overnight, from 148 warnings to 29.  (Let me know if
> sharing more detail is helpful; I'm assuming it could simply confuse
> things since the focus here seems to have been UCTR builds..).

Feel free to post the warnings here, I will see what can be done about
them.

Thanks.